Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 111279 - synfig-studio-0.61.00_p39.ebuild (new package)
Summary: synfig-studio-0.61.00_p39.ebuild (new package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: http://www.synfig.com
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
Depends on: 111278
Blocks:
  Show dependency tree
 
Reported: 2005-11-02 11:27 UTC by Ali Sabil
Modified: 2019-02-09 10:40 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
synfig-studio-0.61.00_p39.ebuild (synfig-studio-0.61.00_p39.ebuild,868 bytes, text/plain)
2005-11-02 11:28 UTC, Ali Sabil
Details
synfig-studio-0.61.01.ebuild (synfig-studio-0.61.01.ebuild,879 bytes, application/octet-stream)
2005-11-14 09:17 UTC, Luc Stepniewski
Details
synfig-studio-0.61.03.ebuild (synfig-studio-0.61.03.ebuild,688 bytes, text/plain)
2006-02-07 13:34 UTC, jebas
Details
synfigstudio-0.61.03-gtkmm-2.8.patch (synfigstudio-0.61.03-gtkmm-2.8.patch,2.81 KB, application/octet-stream)
2006-02-07 13:35 UTC, jebas
Details
synfig-studio-0.61.05.ebuild (synfig-studio-0.61.05.ebuild,675 bytes, text/plain)
2006-03-01 14:36 UTC, jebas
Details
synfig-studio-20060929.ebuild user svn d/l (synfig-studio-20060929.ebuild,650 bytes, text/plain)
2006-10-08 07:54 UTC, Steve L
Details
Updated ebuild for synfig studio, svn co #229 (synfig-studio-229.ebuild,650 bytes, text/plain)
2007-01-03 11:51 UTC, Steve L
Details
Synfig-studio-231 (minor update) (synfig-studio-231.ebuild,650 bytes, text/plain)
2007-01-30 00:43 UTC, Steve L
Details
synfig-studio-502.ebuild (synfig-studio-502.ebuild,871 bytes, text/plain)
2007-06-13 11:09 UTC, Steve L
Details
synfigstudio-0.61.06.ebuild (synfigstudio-0.61.06.ebuild,667 bytes, text/plain)
2007-08-04 21:34 UTC, oninoshiko
Details
synfigstudio-0.61.07.ebuild (synfigstudio-0.61.07.ebuild,666 bytes, text/plain)
2007-10-12 09:01 UTC, Alexander Kazarin
Details
changed make install to emake install (synfigstudio-0.61.07.ebuild,667 bytes, text/plain)
2007-11-19 20:36 UTC, Cillian de Róiste
Details
bumped version (synfigstudio-0.61.08.ebuild,667 bytes, text/plain)
2008-04-11 20:13 UTC, quazgar
Details
Version bump, some minor changes (synfigstudio-0.61.09.ebuild,707 bytes, text/plain)
2008-10-16 23:26 UTC, quazgar
Details
build.log (build.log,214.74 KB, text/plain)
2009-03-08 23:56 UTC, Ivan Trombley
Details
synfigstudio-0.61.08 - build.log (build.log,315.65 KB, text/plain)
2009-06-28 16:23 UTC, S.P.
Details
Version bump, minor changes (synfigstudio-0.62.00.ebuild,700 bytes, text/plain)
2009-12-22 22:59 UTC, Diego Barrios Romero
Details
Development version (synfigstudio-9999.ebuild,2.01 KB, text/plain)
2009-12-22 23:10 UTC, Diego Barrios Romero
Details
Release version. minor changes (synfigstudio-0.62.00.ebuild,700 bytes, text/plain)
2009-12-22 23:43 UTC, Diego Barrios Romero
Details
Development version (synfigstudio-9999.ebuild,2.01 KB, text/plain)
2009-12-22 23:44 UTC, Diego Barrios Romero
Details
Release version. No Fmod. (synfigstudio-0.62.00.ebuild,635 bytes, text/plain)
2010-01-27 15:55 UTC, Diego Barrios Romero
Details
Development version. Fixed C&P error. (synfigstudio-9999.ebuild,1.44 KB, text/plain)
2010-01-27 15:56 UTC, Diego Barrios Romero
Details
updated git ebuild (synfigstudio-9999.ebuild,1.46 KB, text/plain)
2014-02-14 10:25 UTC, Jiří Helebrant
Details
synfig-studio-0.64.2.ebuild (synfig-studio-0.64.2.ebuild,611 bytes, text/plain)
2014-12-12 13:11 UTC, Sławek Lis (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ali Sabil 2005-11-02 11:27:50 UTC
The GUI front-end of Synfig, an industrial-strength vector-based 2D animation
software package.

Reproducible: Always
Steps to Reproduce:
Comment 1 Ali Sabil 2005-11-02 11:28:37 UTC
Created attachment 71949 [details]
synfig-studio-0.61.00_p39.ebuild
Comment 2 Luc Stepniewski 2005-11-14 09:17:51 UTC
Created attachment 72880 [details]
synfig-studio-0.61.01.ebuild
Comment 3 Yaron Tausky 2005-12-23 14:01:50 UTC
Version 0.61.03 is now available.
Comment 4 jebas 2006-02-07 13:34:06 UTC
Created attachment 79164 [details]
synfig-studio-0.61.03.ebuild

This updates the ebuild to 0.61.03.  To make it work the latest gtkmm a patch is required.  Someone will need to clean it up, I am not familiar with ebuild scripts and may have left something important out.
Comment 5 jebas 2006-02-07 13:35:03 UTC
Created attachment 79165 [details]
synfigstudio-0.61.03-gtkmm-2.8.patch

This is the required patch.
Comment 6 Carsten Lohrke (RETIRED) gentoo-dev 2006-02-12 12:46:22 UTC
- please attach files as plain text
- fmod != fmode
- do "unpack ${A}"
Comment 7 jebas 2006-03-01 14:36:48 UTC
Created attachment 81073 [details]
synfig-studio-0.61.05.ebuild

Version Bump with corrections.
Comment 8 James Le Cuirot gentoo-dev 2006-03-12 10:08:25 UTC
According to http://wiki.synfig.com/Build_instructions, ETL, GTK+ 2.0, glibmm and libsigc++ are also needed but I'm not sure if it's just the other dependencies that need these things. Works for me anyway. (-:
Comment 9 Steve L 2006-10-08 07:54:41 UTC
Created attachment 99129 [details]
synfig-studio-20060929.ebuild user svn d/l

Hi,

  Posting updated ebuilds, based on a user-initiated subversion download. Instructions are at http://forums.gentoo.org/viewtopic-t-503491.html

  NB ebuilds don't provide virtuals. Designed to be used together.

HTH
Steve.
Comment 10 Steve L 2006-10-08 08:03:39 UTC
See *** Bug 149541 wrt SRC_URI
Comment 11 Steve L 2007-01-03 11:51:36 UTC
Created attachment 105316 [details]
Updated ebuild for synfig studio, svn co #229

Hi

  Updated ebuild for latest synfig pkgs. NB requires the downloaded svn directory tar/bzipped and available in distfiles/ on a mirror. Instructions for dl/tarring (if ya need em ;) in forum post above. Works nicely on Athlon-XP, will try 64-bit Core2 soon.

HTH,
Steve.
Comment 12 Steve L 2007-01-30 00:43:46 UTC
Created attachment 108559 [details]
Synfig-studio-231 (minor update)

For svn co#231, only updated to use emake.
Comment 13 Steve L 2007-06-13 11:09:05 UTC
Created attachment 121924 [details]
synfig-studio-502.ebuild
Comment 14 Steve L 2007-06-13 11:11:24 UTC
Process to build tarball is outlined at:
http://forums.gentoo.org/viewtopic-t-503491.html
(svn d/l, export, add a CVS directory)
Comment 15 Jakub Moc (RETIRED) gentoo-dev 2007-06-24 12:43:15 UTC
Comment on attachment 121924 [details]
synfig-studio-502.ebuild

Please, fix the ebuild to use mirror://sourceforge/synfig/${P}.tar.gz instead of invalid mirror://gentoo; also use real versions that match the tarball name, not invented ones.
Comment 16 Steve L 2007-07-03 15:14:36 UTC
(In reply to comment #15)
> (From update of attachment 121924 [details] [edit])
> Please, fix the ebuild to use mirror://sourceforge/synfig/${P}.tar.gz instead
> of invalid mirror://gentoo; also use real versions that match the tarball name,
> not invented ones.
> 
Yeah I got hosting for it, then they went and made a new release after 18 months. Teh sigh. I'll look at doing a new ebuild in the next day or two (the old one is a bit dodgy iirc, quite apart from the source being a year and a half old.)
BTW they're not invented, they're svn release numbers, which strike me as a much better way to track packages that release rarely. And no I don't like svn ebuilds since bug-fixing and maintenance is trickier (unless it's done upstream.) The svn ebuilds on the wiki are a bit crusty too if anyone cares.
*plop*! ;P
Comment 17 oninoshiko 2007-08-04 21:34:04 UTC
Created attachment 126881 [details]
synfigstudio-0.61.06.ebuild

added ~amd64.
added *all* dependencies.
cleaned up some code.
version bump. (and a partridge in a pear tree)


 0.61.06 (SVN 543) - June 20, 2007 - Bug fixes
 
  * Fix amd64 issues
  * Fix corruption of gamma settings
  * Fix manipulating layers in the layer dialog
  * Disable the timebar instead of hiding it
  * Fix File -> Close & input devices close button
  * Fix targets that crash in synfigstudio
  * Fix some doxygen warnings
  * Fixes in the sketch tool
  * Fixes in the draw tool
  * Fix several crashes
  * Fix bline looping
  * Misc Win32 fixes
  * Add optional GNOME thumbnailer
  * Rework several dialogs to use GNOME HIG
  * Disable several tools, see FAQ to re-enable
  * Disable the empty Palette Browser dialog
  * Add mousewheel support in canvas windows
  * Add tooltips to preview window & give it a default size
  * Display HTML values in the colour dialog
  * Add an icon for the curves dialog
  * New Tango ArtLibreSet styled icons by PXEGeek
Comment 18 Alexander Kazarin 2007-10-12 09:01:21 UTC
Created attachment 133242 [details]
synfigstudio-0.61.07.ebuild
Comment 19 Cillian de Róiste 2007-11-19 20:36:12 UTC
Created attachment 136434 [details]
changed make install to emake install

just changing make install to emake install to try to get this into sunrise
Comment 20 Paul Wise (Debian) 2008-03-31 10:10:01 UTC
0.61.08 is out, please update (I'm from upstream).

Also, please change the URL to http://synfig.org
Comment 21 quazgar 2008-04-11 20:13:42 UTC
Created attachment 149435 [details]
bumped version

This ebuild compiles and synfigstudio seems to run fine.  Basically just a renamed version of the previous with adapted dependencies.
Comment 22 Thomas Sachau gentoo-dev 2008-07-06 22:58:38 UTC
This ebuild is already in sunrise:

https://overlays.gentoo.org/proj/sunrise/browser/reviewed/media-gfx/synfigstudio

I did update it in sunrise, please get yourself an account for sunrise or ask in #gentoo-sunrise (irc.freenode.net) for future revbumps.
Comment 23 quazgar 2008-10-16 23:26:14 UTC
Created attachment 168740 [details]
Version bump, some minor changes

Changes (partly copied from the sunrise ebuild):
* Updated (c) year 
* Dependencies should be in DEPEND, not (only) in RDEPEND
* Fixed typo fmode -> fmod
* Updated dependencies on ETL and synfig (core)
Comment 24 Paul Wise (Debian) 2008-10-23 05:04:58 UTC
0.61.09 released, please update.
Comment 25 Ivan Trombley 2009-03-08 23:55:45 UTC
Won't build with fmod.
Comment 26 Ivan Trombley 2009-03-08 23:56:31 UTC
Created attachment 184387 [details]
build.log
Comment 27 S.P. 2009-06-28 16:23:46 UTC
Created attachment 195955 [details]
synfigstudio-0.61.08 - build.log

synfig(8376) [18:06:50] error: EXCEPTION: file not found: logo.sif
synfig is 0.61.09
Comment 28 Diego Barrios Romero 2009-12-22 22:59:10 UTC
Created attachment 213861 [details]
Version bump, minor changes

Synfig Stydio 0.62.00 release. Version bump, minor changes
Comment 29 Diego Barrios Romero 2009-12-22 23:10:10 UTC
Created attachment 213863 [details]
Development version

Development version from the git repository
Comment 30 Diego Barrios Romero 2009-12-22 23:43:40 UTC
Created attachment 213864 [details]
Release version. minor changes

Typo fix for http://bugs.gentoo.org/attachment.cgi?id=213863 Thanks to rubik's cube
Comment 31 Diego Barrios Romero 2009-12-22 23:44:42 UTC
Created attachment 213865 [details]
Development version

Typo fix. Thanks to rubik's cube
Comment 32 Nickolay Kolchin-Semyonov 2009-12-23 00:25:03 UTC
FMod3 is required for synfigstudio. Currently it doesn't compile with FModEX (aka FMod4). 
Comment 33 Diego Barrios Romero 2010-01-27 15:55:24 UTC
Created attachment 217608 [details]
Release version. No Fmod.

By the moment the sound is deactivated in synfig so fmod library support makes no sense. Anyway, Synfig Team prefers open source sound libraries like gstreamer.
Comment 34 Diego Barrios Romero 2010-01-27 15:56:47 UTC
Created attachment 217610 [details]
Development version. Fixed C&P error.

Fixed Copy & Paste error.
Comment 35 quazgar 2010-03-01 00:37:47 UTC
Hi, could you please also make the 0.62.00 ebuild go into sunrise?  It works fine here on amd64 for me.
Comment 36 Joost Ruis 2010-06-24 17:32:35 UTC
Hey all.

I've added a working set with a patch for libpng14 on the sabayon overlay.
Comment 37 quazgar 2010-07-02 22:04:20 UTC
BTW, there's a new release (0.62.01) out now:
http://www.synfig.org/en/news/releases/89-release-06201

And it's at 
http://gitweb.sabayon.org/?p=overlay.git;a=tree;f=media-gfx/synfigstudio;h=4de1d66b069489a9cf078fecb4198d2f19173484;hb=refs/heads/master
as Joost said (thank you!).

Please also push into sunrise (and change the bug title ;) ).
Comment 38 Oleg 2011-12-30 19:52:39 UTC
Version 0.63.03 released: http://www.synfig.org/cms/en/download/stable
Comment 39 Oleg 2012-01-07 08:44:49 UTC
I try to install synfigstudio-0.63.03 with ebuild from 0.62.02 but get next error:

 * package media-gfx/synfigstudio-0.63.03 NOT merged
 * 
 * Detected file collision(s):
 * 
 * 	/usr/share/mime/mime.cache
 * 	/usr/share/mime/treemagic
 * 	/usr/share/mime/icons
 * 	/usr/share/mime/generic-icons
 * 	/usr/share/mime/types
 * 	/usr/share/mime/aliases
 * 	/usr/share/mime/subclasses
 * 	/usr/share/mime/XMLnamespaces
 * 	/usr/share/mime/magic
 * 	/usr/share/mime/globs2
 * 	/usr/share/mime/globs
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * None of the installed packages claim the file(s).

How can it be fixed?
Comment 40 quazgar 2012-02-04 13:48:45 UTC
(In reply to comment #39)
> I try to install synfigstudio-0.63.03 with ebuild from 0.62.02 but get next
> error:
> 
>  * package media-gfx/synfigstudio-0.63.03 NOT merged
>  * 
>  * Detected file collision(s):
>  * 
>  *     /usr/share/mime/mime.cache
> ...

This should be fixed with the ebuild I just submitted to Sabayon at https://bugs.sabayon.org/show_bug.cgi?id=3021

synfigstudio runs update-mime-database on its build tree before installing, thus creating the colliding (and probably wrong) mime cache files.
Comment 41 Jiří Helebrant 2014-02-14 10:25:34 UTC
Created attachment 370382 [details]
updated git ebuild

updated old live ebuild to work with current synfig code and current portage/eclasses
Comment 42 Sławek Lis (RETIRED) gentoo-dev 2014-12-12 13:11:04 UTC
Created attachment 391498 [details]
synfig-studio-0.64.2.ebuild

My attempt to take this package.
If someone of you have some time, please test this. 

Note that also: #111277 and #111278 with corresponding versions are needed.
Comment 43 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:44:47 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/